%global forgeurl https://github.com/%{name}/%{name}
%global appid io.crow_translate.CrowTranslate

Name: crow-translate
Version: 2.10.10
Release: 1%{?dist}
Summary: A simple and lightweight translator

%forgemeta

License: GPL-3.0-only
URL: https://crow-translate.github.io
Source: %{forgeurl}/releases/download/%{version}/%{name}-%{version}-source.tar.gz
# Thanks CarlosEkisde for static linkin patch
Patch: %{name}-make_static_libs.patch
# Fix translations installation dir
# https://github.com/crow-translate/crow-translate/pull/614
Patch: https://github.com/crow-translate/crow-translate/pull/614.patch#/Fix-translations-installation-dir.patch

BuildRequires: cmake >= 3.16
BuildRequires: desktop-file-utils
BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: libappstream-glib
BuildRequires: cmake(KF5Wayland)
BuildRequires: cmake(leptonica)
BuildRequires: cmake(Qt5)
BuildRequires: cmake(Qt5LinguistTools)
BuildRequires: cmake(Qt5Multimedia)
BuildRequires: cmake(Qt5X11Extras)
BuildRequires: cmake(tesseract) >= 4.0

Requires: hicolor-icon-theme

Recommends: gstreamer-plugins-good

Provides: bundled(qonlinetranslator)
Provides: bundled(qhotkey)
Provides: bundled(qtaskbarcontrol)
Provides: bundled(singleapplication)

%description
Crow Translate is a simple and lightweight translator written in C++ / Qt that
allows you to translate and speak text using Google, Yandex, Bing,
LibreTranslate and Lingva translate API. You may also be interested in my
library QOnlineTranslator used in this project.


%prep
%autosetup -p1
# Unbundle
rm -r src/qgittag


%build
%{cmake_kf5}
%cmake_build


%install
%cmake_install
%find_lang %{name} --with-qt


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/crow
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/applications/*.desktop
%{_metainfodir}/*.xml


%changelog
* Fri Oct 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 2.10.10-1
- Initial
